Name:           dhcpstarv
Version:        0.2.1
Release:        1%{?dist}
Summary:        DHCP starvation utility

Group:          System Environment/Base
License:        GPLv3
URL:            http://dhcpstarv.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
DHCP starvation is attacking a DHCP server by sending a lot of requests to it. 
This lead to server's address pool exhausting after which DHCP server is not 
able to respond clients and give them new leases.

dhcpstarv is tool that implements DHCP starvation attack. It requests DHCP 
leases on specified interface, save them and renew on regular basis.

When a rogue DHCP server appear in network with DHCP infrastructure some 
clients can get wrong network settings. Those rogue servers can be switched by 
users by accident. The only solution to issue is to disconnect such server from 
network. But it takes a lot of time to discover rogue server if network is 
complicated, i.e. there are many network devices in it. As a temporary solution 
you can attack rogue DHCP server until find and disconnect it from network.

Do not use this tool for abuse. This tool was made not for such things. You are 
warned.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Jan 21 2011 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.2.1-1
- Initial RPM package
